Package Details: mamepgui 1.6.0-2

Git Clone URL: (read-only)
Package Base: mamepgui
Description: Frontend for SDLMAME/SDLMESS based on MAME Plus!
Upstream URL:
Licenses: custom:WTFPL
Submitter: demonicmaniac
Maintainer: trya
Last Packager: trya
Votes: 20
Popularity: 0.014399
First Submitted: 2009-08-03 09:02
Last Updated: 2015-06-08 21:35

Dependencies (4)

Required by (0)

Sources (2)

Latest Comments

trya commented on 2014-08-21 07:12

@jswagner: I did update the ckecksums, but what I didn't know is that each time you download a tarball from the websvn of sourceforge, the checksum is different (the tarball must be made on-the-fly). Thus, I have to put the source archive somewhere else so that the checksum doesn't change every time.

jswagner commented on 2014-08-21 06:25

Checksums didn't get updated with the PKGBUILD?
==> Validating source files with md5sums...
mamepgui-1.6.0.tar.gz ... FAILED
COPYING ... Passed
==> ERROR: One or more files did not pass the validity check!

trya commented on 2012-05-28 11:58

Should build now.

mrbit commented on 2012-05-28 10:18


sed -i '19s/-lpthread/-lpthread -lquazip -llzma -lz/' "$srcdir/Makefile"

mrbit commented on 2012-05-28 10:06

PKGBUILD add depends='quazip'

add in Makefile:
LIBS = $(SUBLIBS) -lquazip -llzma -lz

mrbit commented on 2012-05-28 09:50

/usr/bin/ld: zip.o: undefined reference to symbol 'deflate'
/usr/bin/ld: note: 'deflate' is defined in DSO /usr/lib/ so try adding it to the linker command line
/usr/lib/ could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status
make: *** [mamepgui] Errore 1

trya commented on 2012-05-18 13:09

Dead project is dead, no one is mirroring the archive, so all I can advise is to try mamepgui-svn:

The SVN repo works, but the M+GUI trunk hasn't been updated for ages, they're focusing on the W32 part of the project.

Anonymous comment on 2012-05-09 17:57

The download link is dead

trya commented on 2011-01-25 01:14

OK, I investigated a little more. M+GUI development has been moved to SVN and no official release has been made to date. Therefore, this package is not outdated.

trya commented on 2011-01-25 00:55

No sign of the Qt frontend in the sources available on SourceForge, maybe they're rewriting it from scratch...

agapito commented on 2011-01-25 00:11

Anonymous comment on 2010-10-02 09:40

That fixed it.

I was able to do some quick testing on x86_64 and i686. No noticable regressions on x86_64. On i686, it crashes during the first run (after selecting the mame binary); after which it starts up fine and everything works.

Thanks for the fix, I really appreciate it.

trya commented on 2010-10-01 17:24

I somewhat fixed compilation with Qt 4.7, I can't guarantee the result will be bug-free.

trya commented on 2010-10-01 14:22

mamepgui seems incompatible with Qt 4.7, because it compiled well with Qt 4.6 before I updated. I'm investigating.

Anonymous comment on 2010-10-01 10:58

This works great on x86_64, but I am not able to get this to compile on i686. Hopefuly someone can shed some light on the problem.

Here are the last few lines of the build process:
/usr/include/QtCore/qstring.h:106:5: note: QString::QString(QChar)
/usr/include/QtCore/qstring.h:105:14: note: QString::QString(const QChar*)
make: *** [ips.o] Error 1